# DeleteAvaFileForm

Delete a single AvaFileForm

`DELETE /api/v2/avafileforms/{id}`

**API:** AvaTax API
**Tag:** AvaFileForms
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/AvaFileForms/DeleteAvaFileForm/

## Description

Marks the existing AvaFileForm object at this URL as deleted.

### Security Policies

* This API requires one of the following user roles: Compliance Root User, ComplianceUser, FirmAdmin.
* This API depends on the following active services:*Returns* (at least one of):  Mrs, MRSComplianceManager, AvaTaxCsp.*Firm Managed* (for accounts managed by a firm):  ARA, ARAManaged.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The ID of the AvaFileForm you wish to delete. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/avafileforms/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```